Bug 1573695 - Review Request: battray - simple tray icon to show a laptop’s battery status.
Summary: Review Request: battray - simple tray icon to show a laptop’s battery status.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 03:31 UTC by Ranjan Maitra
Modified: 2018-06-01 12:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-01 12:03:15 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Ranjan Maitra 2018-05-02 03:31:11 UTC
SRPM: http://www.public.iastate.edu/~maitra/Fedora/battray-2.3-1.fc28.src.rpm
SPEC: http://www.public.iastate.edu/~maitra/Fedora/battray.spec

Battray is a fairly simple tray icon to show a laptop’s battery status. It’s simple, easy, fairly environment-independent, and ‘just works’ without tons of {Gnome,KDE,..} dependencies.

One can also configure it to play annoying sounds if your battery is getting low, dim the screen when you switch from AC to battery, etc.

Fedora Accounts System Usernam: aaren

Comment 1 Ranjan Maitra 2018-05-02 03:32:24 UTC
I made a typo in my FAS username: it is aarem (Sorry)

Comment 2 Artur Iwicki 2018-05-02 08:16:33 UTC
>Source0: %{name}-version-%{version}.tar.gz
It is preferred for this to be a downloadable URL. You can use a GitHub link: https://github.com/Carpetsmoker/battray/archive/version-%{version}/%{name}-version-%{version}.tar.gz

>/usr/share/%{name}
Use "%{_datadir}" instead of "/usr/share".

>#%license LICENSE
Why is this commented out?

Comment 3 Ranjan Maitra 2018-05-02 11:59:08 UTC
Apologies for the errors. All fixed now. New uploads at:

SRPM: http://www.public.iastate.edu/~maitra/Fedora/battray-2.3-2.fc28.src.rpm
SPEC: http://www.public.iastate.edu/~maitra/Fedora/battray.spec

Please advise further as needed!

Comment 4 Robert-André Mauchin 🐧 2018-05-02 19:35:19 UTC
 - Not needed in %files:

%defattr(-,root,root,-)

 - Depends on python3-devel, not python-rpm-macros:

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

 - There's no python-gobject, it should be:

Requires:       python3-gobject

 - That's not needed:

Provides:       %{_bindir}/%{version}-%{release}

 - Use %py3_build / %py3_install:


%build
%py3_build

%install
%py3_install

Comment 5 Ranjan Maitra 2018-05-03 01:31:02 UTC
 New uploads at:

SRPM: http://www.public.iastate.edu/~maitra/Fedora/battray-2.3-2.fc28.src.rpm
SPEC: http://www.public.iastate.edu/~maitra/Fedora/battray.spec

Not quiet sure why this is not needed but I took it off.

Provides:       %{_bindir}/%{version}-%{release}

Please advise furher as needed. Thanks to all in advance!

Comment 6 Robert-André Mauchin 🐧 2018-05-03 13:47:43 UTC
You removed the BR and RR, why? Xoi need python3-devel

 - Depends on python3-devel:

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools

 - There's no python-gobject, it should be:

Requires:       python3-gobject

 - Also, split the descirption to stay below 80 characters per line:

%description
Battray is a fairly simple tray icon to show a laptop’s battery status. It’s 
simple, easy, fairly environment-independent, and ‘just works’ without tons of 
{Gnome,KDE,..} dependencies.

One can also configure it to play annoying sounds if your battery is getting 
low, dim the screen when you switch from AC to battery, etc.

 - You have a mix of tabs and spaces, use either tabs or spaces but not both at the same time.

Comment 7 Ranjan Maitra 2018-05-03 17:55:29 UTC
(In reply to Robert-André Mauchin from comment #6)
> You removed the BR and RR, why? Xoi need python3-devel
> 
>  - Depends on python3-devel:
> 
> BuildRequires:  python3-devel
> BuildRequires:  python3-setuptools

I also thought so, but I took python3-devel out (also uninstalled in my local machine) and recompiled and it works just fine from what I can tell (for me). Is this still needed?

> 
>  - There's no python-gobject, it should be:
> 
> Requires:       python3-gobject

Same story here: removing it seems to do fine without it. I can't notice any ill-effect.

>  - Also, split the descirption to stay below 80 characters per line:
> 
> %description
> Battray is a fairly simple tray icon to show a laptop’s battery status. It’s 
> simple, easy, fairly environment-independent, and ‘just works’ without tons
> of 
> {Gnome,KDE,..} dependencies.
> 
> One can also configure it to play annoying sounds if your battery is getting 
> low, dim the screen when you switch from AC to battery, etc.
> 
>  - You have a mix of tabs and spaces, use either tabs or spaces but not both
> at the same time.

OK, will fix these, thanks!

Comment 8 Robert-André Mauchin 🐧 2018-05-03 20:02:12 UTC
(In reply to Ranjan Maitra from comment #7)
> (In reply to Robert-André Mauchin from comment #6)
> > You removed the BR and RR, why? Xoi need python3-devel
> > 
> >  - Depends on python3-devel:
> > 
> > BuildRequires:  python3-devel
> > BuildRequires:  python3-setuptools
> 
> I also thought so, but I took python3-devel out (also uninstalled in my
> local machine) and recompiled and it works just fine from what I can tell
> (for me). Is this still needed?
> 
> > 
> >  - There's no python-gobject, it should be:
> > 
> > Requires:       python3-gobject
> 
> Same story here: removing it seems to do fine without it. I can't notice any
> ill-effect.
> 

It won't work in mock or Koji. You need to test the package in mock first. You can do it with fedpkg:

fedpkg --release f29 mockbuild --mock-config fedora-rawhide-x86_64 --no-cleanup-after

Comment 9 Ranjan Maitra 2018-05-04 04:10:42 UTC
Sorry, i realized that I made an error in the SRPM:

SRPM: http://www.public.iastate.edu/~maitra/Fedora/battray-2.3-3.fc28.src.rpm
SPEC: http://www.public.iastate.edu/~maitra/Fedora/battray.spec

I will make the changes to the spec file but wanted this to be corrected first.

Comment 10 Ranjan Maitra 2018-05-04 04:43:10 UTC
New uploads:

SRPM: http://www.public.iastate.edu/~maitra/Fedora/battray-2.3-4.fc28.src.rpm
SPEC: http://www.public.iastate.edu/~maitra/Fedora/battray.spec

Builds fine on koji. 

$ koji build --scratch f28 battray-2.3-3.fc28.src.rpm 
.......
 0 free  0 open  2 done  0 failed

26759949 build (f28, battray-2.3-3.fc28.src.rpm) completed successfully

Don't need python3-gobject, but of course, need python3-devel (thanks!).

Please advise further as needed, or approve.

Comment 11 Robert-André Mauchin 🐧 2018-05-12 16:30:11 UTC
 - You have a mix of tabs and spaces, use either tabs or spaces but not both at the same time. (tabs: line 12 and 17)
 
 - The %changelog data is incorrectly specified: it should be Version-Release, not Version.Release. Also you should specify your name followed by your email between <>

* Thu May 3 2018 Ranjan Maitra <aarem AT fedoraproject DOT org> - 2.3-4
- fixed packaging issues as per BZ #1573695 comment #6
- kept removed Requires: python3-gobject (still does not seem to need it). 

* Wed May 2 2018 Ranjan Maitra <aarem AT fedoraproject DOT org> - 2.3-3
- fixed packaging issues as per BZ #1573695 comment #4
- removed Requires: python3-gobject (does not seem to need it. try for now 
  without it.) 

* Wed May 2 2018 Ranjan Maitra <aarem AT fedoraproject DOT org> - 2.3-2
- fixed packaging issues as per BZ #1573695 comment #2

* Tue May 1 2018 Ranjan Maitra <aarem AT fedoraproject DOT org> - 2.3-1
- initial packaging of 2.3 version

 - Remove:

#Source0:        %{name}-version-%{version}.tar.bz2
#Source0:        %{name}-version-%{version}.tar.gz



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 14 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/battray/review-battray/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[!]: Spec file according to URL is the same as in SRPM.
     Note: Spec file as given by url is not the same as in SRPM (see
     attached diff).
     See: (this test has no URL)
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).


Rpmlint
-------
Checking: battray-2.3-4.fc29.noarch.rpm
          battray-2.3-4.fc29.src.rpm
battray.noarch: W: spelling-error Summary(en_US) traiy -> trait, tray, train
battray.noarch: W: incoherent-version-in-changelog 2.3.4 ['2.3-4.fc29', '2.3-4']
battray.noarch: W: no-manual-page-for-binary battray
battray.src: W: spelling-error Summary(en_US) traiy -> trait, tray, train
battray.src:10: W: macro-in-comment %{name}
battray.src:10: W: macro-in-comment %{version}
battray.src:11: W: macro-in-comment %{name}
battray.src:11: W: macro-in-comment %{version}
battray.src:12: W: mixed-use-of-spaces-and-tabs (spaces: line 4, tab: line 12)
battray.src: E: specfile-error warning: Macro expanded in comment on line 10: %{name}-version-%{version}.tar.bz2
battray.src: E: specfile-error 
battray.src: E: specfile-error warning: Macro expanded in comment on line 11: %{name}-version-%{version}.tar.gz
battray.src: E: specfile-error 
battray.src: E: specfile-error warning: Macro expanded in comment on line 10: %{name}-version-%{version}.tar.bz2
battray.src: E: specfile-error 
battray.src: E: specfile-error warning: Macro expanded in comment on line 11: %{name}-version-%{version}.tar.gz
2 packages and 0 specfiles checked; 7 errors, 9 warnings.

Comment 12 Ranjan Maitra 2018-05-12 16:52:18 UTC
Thanks for the detailed feedback, and for catching those two silly tabs.

New uploads:

SRPM: http://www.public.iastate.edu/~maitra/Fedora/battray-2.3-5.fc28.src.rpm
SPEC: http://www.public.iastate.edu/~maitra/Fedora/battray.spec

Builds fine on koji. 

$ koji build --scratch f28 battray-2.3-5.fc28.src.rpm 
.....
  0 free  0 open  2 done  0 failed

Comment 13 Robert-André Mauchin 🐧 2018-05-12 20:50:59 UTC
Package approved.

Comment 14 Gwyn Ciesla 2018-05-14 13:05:55 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/battray

Comment 15 Fedora Update System 2018-05-21 15:13:51 UTC
battray-2.3-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-53ba798a2e

Comment 16 Fedora Update System 2018-05-21 15:13:59 UTC
battray-2.3-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-4b3c327ef0

Comment 17 Fedora Update System 2018-05-22 15:02:58 UTC
battray-2.3-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-53ba798a2e

Comment 18 Fedora Update System 2018-05-22 19:37:35 UTC
battray-2.3-5.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-4b3c327ef0

Comment 19 Fedora Update System 2018-06-01 12:03:15 UTC
battray-2.3-5.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2018-06-01 12:19:22 UTC
battray-2.3-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.